Bug 12868 - Selftest should not call 'net cache flush' and wipe important winbind entries
Selftest should not call 'net cache flush' and wipe important winbind entries
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
4.6.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-28 12:51 UTC by Andreas Schneider
Modified: 2017-07-13 05:26 UTC (History)
3 users (show)

See Also:


Attachments
patch for 4.6 (4.48 KB, patch)
2017-06-29 05:33 UTC, Andreas Schneider
asn: review? (metze)
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2017-06-28 12:51:54 UTC
The selftest suite calls 'net cache flush' after winbindd has been started and wipes important entries from the database!

Patches will follow!
Comment 1 Andreas Schneider 2017-06-29 05:33:10 UTC
Created attachment 13324 [details]
patch for 4.6
Comment 2 Andreas Schneider 2017-07-03 10:28:20 UTC
Karolin, please add the patch to 4.6. Thanks!
Comment 3 Karolin Seeger 2017-07-05 07:03:51 UTC
(In reply to Andreas Schneider from comment #2)
Pushed to autobuild-v4-6-test.
Comment 4 Stefan Metzmacher 2017-07-13 05:26:59 UTC
Pushed to v4-6-test